package com.ruoyi.bst.attach.service;

import java.util.List;

import com.ruoyi.bst.attach.domain.Attach;
import com.ruoyi.bst.attach.domain.AttachQuery;
import com.ruoyi.bst.attach.domain.AttachVO;

/**
 * 资源Service接口
 *
 * @author ruoyi
 * @date 2025-02-12
 */
public interface AttachService
{
    /**
     * 查询资源
     *
     * @param id 资源主键
     * @return 资源
     */
    public AttachVO selectAttachById(Long id);

    /**
     * 查询资源列表
     *
     * @param attach 资源
     * @return 资源集合
     */
    public List<AttachVO> selectAttachList(AttachQuery attach);

    /**
     * 新增资源
     *
     * @param attach 资源
     * @return 结果
     */
    public int insertAttach(Attach attach);

    /**
     * 修改资源
     *
     * @param attach 资源
     * @return 结果
     */
    public int updateAttach(Attach attach);

    /**
     * 批量删除资源
     *
     * @param ids 需要删除的资源主键集合
     * @return 结果
     */
    public int logicDel(List<Long> ids);

    /**
     * 批量插入资源
     *
     * @param poList 资源列表
     * @return 结果
     */
    int batchInsert(List<Attach> poList);
}
