package com.ruoyi.bst.attachClassify.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 资源分类对象 bst_attach_classify
 *
 * @author ruoyi
 * @date 2025-02-12
 */
@Data
public class AttachClassify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "上级ID")
    @ApiModelProperty("上级ID")
    @NotNull(message = "上级ID不能为空", groups = {ValidGroup.Create.class})
    private Long parentId;

    @Excel(name = "祖级列表")
    @ApiModelProperty("祖级列表")
    private String ancestors;

    @Excel(name = "名称")
    @ApiModelProperty("名称")
    @NotBlank(message = "名称不能为空", groups = {ValidGroup.Create.class})
    @Size(max = 32, message = "名称长度不能超过32个字符")
    private String name;

    @Excel(name = "排序")
    @ApiModelProperty("排序")
    @NotNull(message = "排序不能为空", groups = {ValidGroup.Create.class})
    private Integer sort;

    @Excel(name = "创建人ID")
    @ApiModelProperty("创建人ID")
    private Long createId;

}
