package com.ruoyi.bst.customer.domain;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CustomerQuery extends CustomerVO{

    @ApiModelProperty("准确编号")
    private String eqCode;

    @ApiModelProperty("排除ID")
    private Long excludeId;

    @ApiModelProperty("ID列表")
    private List<Long> ids;

    @ApiModelProperty("意向")
    private String intent;

    @ApiModelProperty("创建日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate createDate;

    @ApiModelProperty("参与人ID")
    private Long joinUserId;

    @ApiModelProperty("上次跟进日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate lastFollowDate;

    @ApiModelProperty("下次跟进日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate nextFollowDate;

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("下次跟进时间开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime nextFollowTimeStart;

    @ApiModelProperty("下次跟进时间结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime nextFollowTimeEnd;
}
