package com.ruoyi.bst.customerFollow.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.customerFollow.domain.CustomerFollow;
import com.ruoyi.bst.customerFollow.domain.CustomerFollowQuery;
import com.ruoyi.bst.customerFollow.domain.CustomerFollowVO;

/**
 * 客户跟进记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-22
 */
public interface CustomerFollowMapper
{
    /**
     * 查询客户跟进记录
     *
     * @param followId 客户跟进记录主键
     * @return 客户跟进记录
     */
    CustomerFollowVO selectCustomerFollowByFollowId(Long followId);

    /**
     * 查询客户跟进记录列表
     *
     * @param query 客户跟进记录
     * @return 客户跟进记录集合
     */
    List<CustomerFollowVO> selectCustomerFollowList(@Param("query")CustomerFollowQuery query);

    /**
     * 新增客户跟进记录
     *
     * @param customerFollow 客户跟进记录
     * @return 结果
     */
    int insertCustomerFollow(CustomerFollow customerFollow);
    
    /**
     * 修改客户跟进记录
     *
     * @param customerFollow 客户跟进记录
     * @return 结果
     */
    public int updateCustomerFollow(@Param("data") CustomerFollow customerFollow);

    /**
     * 删除客户跟进记录
     *
     * @param followId 客户跟进记录主键
     * @return 结果
     */
    int deleteCustomerFollowByFollowId(Long followId);

    /**
     * 批量删除客户跟进记录
     *
     * @param followIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustomerFollowByFollowIds(Long[] followIds);
}
