package com.ruoyi.bst.customerFollow.service;

import java.util.List;

import com.ruoyi.bst.customerFollow.domain.CustomerFollow;
import com.ruoyi.bst.customerFollow.domain.CustomerFollowQuery;
import com.ruoyi.bst.customerFollow.domain.CustomerFollowVO;

/**
 * 客户跟进记录Service接口
 *
 * @author ruoyi
 * @date 2025-01-22
 */
public interface CustomerFollowService
{
    /**
     * 查询客户跟进记录
     *
     * @param followId 客户跟进记录主键
     * @return 客户跟进记录
     */
    public CustomerFollowVO selectCustomerFollowByFollowId(Long followId);

    /**
     * 查询客户跟进记录列表
     *
     * @param customerFollow 客户跟进记录
     * @return 客户跟进记录集合
     */
    public List<CustomerFollowVO> selectCustomerFollowList(CustomerFollowQuery customerFollow);

    /**
     * 新增客户跟进记录
     *
     * @param customerFollow 客户跟进记录
     * @return 结果
     */
    public int insertCustomerFollow(CustomerFollow customerFollow);

    /**
     * 修改客户跟进记录
     *
     * @param customerFollow 客户跟进记录
     * @return 结果
     */
    public int updateCustomerFollow(CustomerFollow customerFollow);

    /**
     * 批量删除客户跟进记录
     *
     * @param followIds 需要删除的客户跟进记录主键集合
     * @return 结果
     */
    public int deleteCustomerFollowByFollowIds(Long[] followIds);

    /**
     * 删除客户跟进记录信息
     *
     * @param followId 客户跟进记录主键
     * @return 结果
     */
    public int deleteCustomerFollowByFollowId(Long followId);
}
