package com.ruoyi.bst.message.service;

import java.util.List;

import com.ruoyi.bst.message.domain.Message;
import com.ruoyi.bst.task.domain.TaskVO;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmitVO;

public interface MessageConverter {

    /**
     * 将任务创建消息转换为消息实体
     * @param vo
     * @return
     */ 
    List<Message> toPoByTaskCreate(TaskVO vo);

    /**
     * 将任务更新消息转换为消息实体
     * @param vo
     * @return
     */ 
    List<Message> toPoByTaskUpdate(TaskVO vo);

    /**
     * 将任务提交消息转换为消息实体
     * @param vo
     * @return
     */ 
    List<Message> toPoByTaskSubmit(TaskSubmitVO vo);

    /**
     * 将任务完成消息转换为消息实体
     * @param vo
     * @return
     */ 
    List<Message> toPoByTaskPass(TaskVO vo);

    /**
     * 将任务取消消息转换为消息实体
     * @param vo
     * @return
     */ 
    List<Message> toPoByTaskCancel(TaskVO vo);
    
}
