package com.ruoyi.bst.project.domain;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/22
 */
@Data
public class ProjectQuery extends ProjectVO {

    @ApiModelProperty("准确编号")
    private String eqNo;

    @ApiModelProperty("排除ID")
    private Long excludeId;

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("创建年份")
    private Integer createYear;

    @ApiModelProperty("完成年份")
    private Integer completeYear;

    @ApiModelProperty("开始年份")
    private Integer startYear;

    @ApiModelProperty("预计开发完成日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate expectedCompleteDateStart;

    @ApiModelProperty("预计开发完成日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate expectedCompleteDateEnd;

    @ApiModelProperty("维护到期日期开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd") 
    private LocalDate maintenanceEndDateStart;

    @ApiModelProperty("维护到期日期结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate maintenanceEndDateEnd;

    @ApiModelProperty("参与人ID")
    private Long joinUserId;
}
