package com.ruoyi.bst.project.service.impl;

import java.math.BigDecimal;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.project.domain.ProjectVO;
import com.ruoyi.bst.project.domain.enums.ProjectStatus;
import com.ruoyi.bst.project.service.ProjectConverter;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.common.utils.SecurityUtils;

@Service
public class ProjectConverterImpl implements ProjectConverter {

    @Override
    public ProjectVO toVoByCreate(ProjectVO data) {
        if (data == null) {
            return null;
        }

        LoginUser loginUser = SecurityUtils.getLoginUser();

        ProjectVO vo = new ProjectVO();
        vo.setName(data.getName());
        vo.setExpireTime(data.getExpireTime());
        vo.setOwnerId(data.getOwnerId());
        vo.setFollowId(data.getFollowId());
        vo.setAmount(data.getAmount());
        vo.setReceivedAmount(data.getReceivedAmount());
        vo.setStatus(ProjectStatus.WAIT_START.getStatus());
        vo.setReceivedAmount(BigDecimal.ZERO);
        vo.setAttaches(data.getAttaches());
        vo.setCustomerId(data.getCustomerId());
        vo.setRemark(data.getRemark());
        vo.setCreateId(loginUser.getUserId());
        vo.setMemberList(data.getMemberList());
        return vo;
    }

    @Override
    public ProjectVO toVoByUpdate(ProjectVO data) {
        if (data == null) {
            return null;
        }

        ProjectVO vo = new ProjectVO();
        vo.setId(data.getId());
        vo.setName(data.getName());
        vo.setExpireTime(data.getExpireTime());
        vo.setOwnerId(data.getOwnerId());
        vo.setFollowId(data.getFollowId());
        vo.setAmount(data.getAmount());
        vo.setReceivedAmount(data.getReceivedAmount());
        vo.setAttaches(data.getAttaches());
        vo.setCustomerId(data.getCustomerId());
        vo.setRemark(data.getRemark());
        vo.setMemberList(data.getMemberList());

        return vo;
    }



}
