package com.ruoyi.bst.task.domain;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskQuery extends TaskVO{

    @ApiModelProperty("负责人ID")
    private Long ownerId;

    @ApiModelProperty("项目id列表")
    private List<Long> projectIds;

    @ApiModelProperty("状态列表")
    private List<String> statusList;

    @ApiModelProperty("任务id列表")
    private List<Long> ids;

    @ApiModelProperty("完成日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate passDate;

    @ApiModelProperty("完成日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> passDateRange;

    @ApiModelProperty("过期时间开始")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expireTimeStart;

    @ApiModelProperty("过期时间结束")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expireTimeEnd;

}
